GET Relationship

Retrieve a single relationship with full details by ID.

Endpoint

Endpoint

/api/relationships/{relationshipId}

Method

GET

Scope

riskassess.relationship.read

Headers

Header Argument

Authorization

Bearer token

Accept

application/json or application/xml

X-Correlation-Id

(Optional) Request tracing ID

Parameters

Table 1. Path parameters
Parameter Description

relationshipId

Relationship entityId (GUID). Empty GUID (00000000-0000-0000-0000-000000000000) returns HTTP 404 NotFound (no JSON body).

Get relationship

Endpoint

GET /api/relationships/{relationshipId}

Example cURL request
curl --location 'https://<your-instance>.risk.com/api/relationships/d32a9192-353c-45fe-bbd4-b88702800467' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer ••••••'
Example response
{
    "success": true,
    "result": {
        "entityId": "d32a9192-353c-45fe-bbd4-b88702800467",
        "name": "Example relationship",
        "status": "Relationship_Active",
        "relationshipNumber": "R12345",
        "startEffectiveDate": "2025-01-01T00:00:00",
        "classification": "classification1",
        "category": "Cat1",
        "subCategory": null,
        "createdAt": "2025-01-02T10:00:00.000Z",
        "modifiedAt": "2025-03-01T09:00:00.000Z",
        "internalAccess": "ManagerOnly",
        "externalAccess": "ManagerOnly",
        "organizations": [
            {
                "entityId": "f5a2a07d-3e39-4aa4-83c9-35060d2faee9",
                "name": "North America HQ",
                "links": []
            }
        ],
        "supplier": {
            "entityId": "8ceb6513-52fa-487e-bda8-176e074a9371",
            "name": "Example Supplier",
            "links": []
        },
        "parentRelationship": null,
        "internalManager": {
            "entityId": "cbe26f67-27ba-4a32-bc88-da1bbc51c952",
            "name": "Doe, Jane",
            "links": []
        },
        "externalManager": {
            "entityId": "b79aeb7d-1291-4150-9a98-c84766c24b4f",
            "name": "Smith, Alex",
            "links": []
        },
        "thirdPartyLocations": [
            {
                "entityId": "a4a78d63-b131-42c5-867b-0094ce27fc1c",
                "name": "Penn Center West",
                "links": []
            }
        ],
        "extensionFields": {
            "MyTextBox": "Stored value"
        },
        "links": [
            {
                "href": "api/relationships/d32a9192-353c-45fe-bbd4-b88702800467",
                "rel": "_self",
                "method": "GET"
            }
        ]
    },
    "errors": []
}